Bug 891485 - Removing a locale member causes a RecordNotFound error
Removing a locale member causes a RecordNotFound error
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 2.1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-03 01:07 EST by Carlos Munoz
Modified: 2013-02-25 23:06 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20130107-1432)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2013-01-03 01:07:00 EST
Description of problem:
When removing a locale member, a RecordNotFoundException is generated. The record itself is removed and the error disappears after a while, but it seems to affect other areas of the application. 

Version-Release number of selected component (if applicable):
2.0.3

How reproducible:
Always

Steps to Reproduce:
1. Go to the Languages page and select a language. (User must be either the language coordinator or an admin)
2. Try to remove a Language member.
  
Actual results:
A "Record not Found" error appears, and will continue to appear whenever the languages page is accessed. It can also been seen in other area of the application like when selecting a project from the projects' page.

Expected results:
User is removed from the language and a message appears informing of the change.
Comment 2 Carlos Munoz 2013-01-06 19:55:17 EST
Changed the way HLocaleMember entities are removed. This might be a problem in our current version of Hibernate and composite primary keys, and it's worth a look after upgrading to the latest version of Hibernate.

See:
https://github.com/zanata/zanata/commit/c3b577abdd41379fd559fabd4cb3f39845a3ebe7
Comment 3 Ding-Yi Chen 2013-01-06 23:44:37 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20130107-1432)

Note You need to log in before you can comment on or make changes to this bug.